groovy.model

## Interface ValueModel

- All Known Implementing Classes:
    ClosureModel, PropertyModel, ValueHolder

      public interface ValueModel

  Represents a model of a value
  Version:
    $Revision$
  Author:
    James Strachan

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class` | `getType()`
    `Object` | `getValue()`
    `boolean` | `isEditable()`
    `void` | `setValue(Object value)`

- - ### Method Detail

    - #### getValue

          Object getValue()

    - #### setValue

          void setValue(Object value)

    - #### getType

          Class getType()

    - #### isEditable

          boolean isEditable()